#ifndef FRAMEWINDOW_H
#define FRAMEWINDOW_H
#include "mainwindow.h"
#include <QStackedWidget>
#include "systemsettingwidget.h"
#include "dataprocesswidget.h"
#include "eggwidget.h"
class  FrameWindow:public QWidget
{
    Q_OBJECT
public:
    FrameWindow(QWidget * parent = NULL);
    virtual ~FrameWindow();

    void  init();
    void  initLay();
    bool  initConnect();
private  slots:
    void slotClickedChanged(QString);
private:
    QStackedWidget m_stackWidget;
private:
    MainWindow   m_MainWindow;
    SystemSettingWidget m_SystemSetting;
    DataProcessWidget   m_DataProcess;
    EggWidget           m_Egg;
};
#endif // FRAMEWINDOW_H
